# Copyright 1999-2015. Parallels IP Holdings GmbH. All Rights Reserved.
import encodings.idna

def domain_idna_to_ascii(idna):
    return '.'.join([part if '' == part else encodings.idna.ToASCII(part) for part in idna.split('.')])

def email_idna_to_ascii(idna):
    user, domain = idna.split('@', 1)
    return '@'.join([user, domain_idna_to_ascii(domain)])

